Package com.independentsoft.office.vml

# Enum Class StrokeArrowType

java.lang.Object
java.lang.Enum<StrokeArrowType>
com.independentsoft.office.vml.StrokeArrowType

All Implemented Interfaces:
  `Serializable`, `Comparable<StrokeArrowType>`, `Constable`

public enum StrokeArrowType extends Enum<StrokeArrowType>
The Enum StrokeArrowType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BLOCK`
  `CLASSIC`
  `DIAMOND`
  `NONE`
  `OPEN`
  `OVAL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StrokeArrowType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static StrokeArrowType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BLOCK

    public static final StrokeArrowType BLOCK

  - ### CLASSIC

    public static final StrokeArrowType CLASSIC

  - ### DIAMOND

    public static final StrokeArrowType DIAMOND

  - ### OPEN

    public static final StrokeArrowType OPEN

  - ### OVAL

    public static final StrokeArrowType OVAL

  - ### NONE

    public static final StrokeArrowType NONE

- ## Method Details

  - ### values

    public static StrokeArrowType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StrokeArrowType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null